using UnityEngine;

namespace SCPPE
{
    public class SCPPE
    {
        public static void Main()
        {
            CategoryBuilder.Create("SCPPE", "Where to find all of the SCP: People Playground Edition Content", ModAPI.LoadSprite("icon/category.png"));






////////////////////////////////////////
//HUMANS//
////////////////////////////////////////
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "The Administrator (SCPPE)",
                DescriptionOverride = "The founder of the SCP Foundation, not much is known about them besides [REDACTED].",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/admin_administrator.png"),
                AfterSpawn = (Instance) =>
                {

                    var skin = ModAPI.LoadTexture("assets/admin_administrator.png");


                    var person = Instance.GetComponent<PersonBehaviour>();


                    person.SetBodyTextures(skin, null, null, 1);


                    person.SetBruiseColor(152, 24, 24);
                    person.SetSecondBruiseColor(87, 6, 6);
                    person.SetThirdBruiseColor(49, 3, 3);
                    person.SetRottenColour(202, 199, 104);
                    person.SetBloodColour(108, 0, 4);
                }
            }
        );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "Traditional Administrator (SCPPE)",
                DescriptionOverride = "The founder of the SCP Foundation, not much is known about them besides [REDACTED].",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/admin_administrator_classic.png"),
                AfterSpawn = (Instance) =>
                {

                    var skin = ModAPI.LoadTexture("assets/admin_administrator_classic.png");


                    var person = Instance.GetComponent<PersonBehaviour>();


                    person.SetBodyTextures(skin, null, null, 1);


                    person.SetBruiseColor(152, 24, 24);
                    person.SetSecondBruiseColor(87, 6, 6);
                    person.SetThirdBruiseColor(49, 3, 3);
                    person.SetRottenColour(202, 199, 104);
                    person.SetBloodColour(108, 0, 4);
                }
            }
        );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "O5 Council (SCPPE)",
                DescriptionOverride = "Council members of the SCP Foundation, only 12 exist and their identities are known only to a select few due to security purposes. They are the sole overseer of the foundation and lead all the decisions by the foundation. They rarely ever appear at actual foundation facilities besides their own. They are actually highly discouraged to go to danger prone facilities for safety concerns.",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/admin_O5.png"),
                AfterSpawn = (Instance) =>
                {

                    var skin = ModAPI.LoadTexture("assets/admin_O5.png");


                    var person = Instance.GetComponent<PersonBehaviour>();


                    person.SetBodyTextures(skin, null, null, 1);


                    person.SetBruiseColor(152, 24, 24);
                    person.SetSecondBruiseColor(87, 6, 6);
                    person.SetThirdBruiseColor(49, 3, 3);
                    person.SetRottenColour(202, 199, 104);
                    person.SetBloodColour(108, 0, 4);
                }
            }
        );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "(SCPPE) Traditional O5 Council",
                DescriptionOverride = "Council members of the SCP Foundation, only 12 exist and their identities are known only to a select few due to security purposes. They are the sole overseer of the foundation and lead all the decisions by the foundation. They rarely ever appear at actual foundation facilities besides their own. They are actually highly discouraged to go to danger prone facilities for safety concerns.",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/admin_O5_classic.png"),
                AfterSpawn = (Instance) =>
                {

                    var skin = ModAPI.LoadTexture("assets/admin_O5_classic.png");


                    var person = Instance.GetComponent<PersonBehaviour>();


                    person.SetBodyTextures(skin, null, null, 1);


                    person.SetBruiseColor(152, 24, 24);
                    person.SetSecondBruiseColor(87, 6, 6);
                    person.SetThirdBruiseColor(49, 3, 3);
                    person.SetRottenColour(202, 199, 104);
                    person.SetBloodColour(108, 0, 4);
                }
            }
        );
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Site Director",
        DescriptionOverride = "Appointed by O5 council, they oversee whole foundation sites and lead all decisions at specific sites with permission from O5. Only one is needed per site and are usually assisted by zone managers within their site.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/admin_site.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/admin_site.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Zone Manager (SCPPE)",
        DescriptionOverride = "Appointed by site directors with permission from O5, they usually oversee specified zones they’re assigned to and report important information to the site directors. Only one is needed per zone and is accompanied with a select few of head personnel within their zone.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/admin_zone.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/admin_zone.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Office Worker (SCPPE)",
        DescriptionOverride = "Part of the admin department, they are the white collar workforce of the foundation. Doing the online management of finances, logistics, documentation, legal, and much more for the foundation. They usually reside in foundation built offices and aren't usually found in sites or areas, however this don't mean they can't be.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/admin_office.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/admin_office.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) D-Class",
        DescriptionOverride = "Inmates taken from prisons around the world to be used as test subjects or workers for risky jobs within the foundation. These inmates are usually taken from death row or life sentenced inmates to keep from the public eye. Usually overseen by foundation guards due to their dangerous nature.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/dclass.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dclass.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Seasoned D-Class",
        DescriptionOverride = "D-Class that has been with the foundation for a while and survived their experiences. Due to them knowing more than most, the foundation holds them for more complex tasks. Most know a small bit about how the foundation works but are less prepared and are still considered less dangerous than Veteran D-Class..",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/dclass2.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dclass2.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Veteran D-Class",
        DescriptionOverride = "D-Class that have been with the foundation for quite a long time now and are accustomed to how the foundation works. Most know their ins and outs of the facility and mostly know how the foundation runs. They're considered a prime target for the Chaos Insurgency for recruitment and are treated as max security prison inmates by the foundation..",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/dclass3.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dclass3.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Former GOI D-Class",
        DescriptionOverride = "D-Class that have held a position/title of a GOI or foundation themselves at some point before they were a d-class, could be recent or in the past. They are usually taken as a 'POW' type of D-Class from enemy GOIs which have been captured by the foundation or former foundation personnel that have wronged the foundation in some way. They are treated with extra precautions due to some actively having a vendetta or plan to go against the foundation, therefore are treated as super max security inmates.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/dclass4.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dclass4.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) E-Class",
        DescriptionOverride = "Foundation staff that have been severely injured physically and/or mentally by the effects of SCPs and/or foundation equipment. Medical Staff are usually tasked with overseeing them and making sure they are in stable condition until fully healed.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/eclass.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/eclass.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Janitor",
        DescriptionOverride = "Foundation staff tasked with cleaning, organizing, and sanitizing the sites, areas, and outposts of the foundation. These are one of the lowest ranking staff in the foundation and therefore usually only have “level 0 clearance” within the foundation. They are also not part of any specific department and are considered a general staff member.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/misc_janitor.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/misc_janitor.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Medical Staff",
        DescriptionOverride = "Part of the Medical Department, tasked with tending to injured, ill, or mentally unstable staff. Usually located in medical subzones around most sites, larger sites having multiple medical subzones. Commonly equipped with first aid and life saving equipment. Those who have a combat background are instead promoted to a field medic for the security department.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/misc_medicalstaff.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/misc_medicalstaff.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Junior Researcher",
        DescriptionOverride = "They're tasked to assist with standard researchers and are usually less experienced and are being trained before they can be promoted as a standard researcher. They are NOT able to carry any weapon or use any under any circumstances whether or not they have previous firearm experience.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/researcher_junior.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/researcher_junior.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Researcher",
        DescriptionOverride = "They're tasked with the work of research and development. They usually study SCPs, research effective ways to contain them, and develop new technology to help with both of the former. If they have previous firearm experience they are NOT able to carry a weapon but are allowed to use any if they came across one during an emergency.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/researcher.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/researcher.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Senior Researcher",
        DescriptionOverride = "They're tasked with overseeing small research teams and overseeing specific research projects. They for the most part report to the head researcher of their zone. If some have previous firearm experience they're allowed to carry a pistol in a holster in case of an urgent emergency but are to immediately evacuate if capable to.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/researcher_lead.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/researcher_lead.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Head of Research",
        DescriptionOverride = "They're tasked with overseeing senior researchers and reporting their work directly to the zone manager. Only one is required per site/area and is usually stationed in an office in the entrance zone. If some have previous firearm experience they're allowed to carry a pistol in a holster in case of an urgent emergency but are to immediately evacuate if capable to.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/researcher_head.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/researcher_head.png");


            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);

            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Labor Personnel",
        DescriptionOverride = "Part of the Engineering and Technical Service Department and is tasked with foundation manual labor and basic design and construction of structures for the foundation. They are a cheap way of building non complex structures and hauling heavy equipment around facilities.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/uti_labor.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/uti_labor.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Construction/Maintenance Staff",
        DescriptionOverride = "Part of the Engineering and Technical Service Department and is tasked with building of advanced and complex designs, as well as repair and maintenance of structures for the foundation.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/uti_maintenance.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/uti_maintenance.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Engineer",
        DescriptionOverride = "Part of the Engineering and Technical Service Department and is tasked with designing, constructing, and operating mechanical and electrical machinery for the foundation.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/uti_engineer.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/uti_engineer.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Manufacturing Technician",
        DescriptionOverride = "Part of the Manufacturing Department and is tasked with mass producing custom made equipment and weapons for the foundation and providing material requests from the foundation during certain processes.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/uti_manufacturer.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/uti_manufacturer.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Logistical Staff",
        DescriptionOverride = "Part of the Logistics Department and is tasked with transporting material, financial, human, and anomalous resources between foundation facilities. There is also a priority system in place usually with anomalies and important resources at the top. Transportation is offered from a wide range of vehicles including automotive, water, railroad, aerial, space, and others.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/uti_logistics.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/uti_logistics.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Light Security Officer",
        DescriptionOverride = "A budget version of a standard security officer, teams are usually only with pistols, protective vests, and ballistic helmets. They’re mostly stationed in surface to entrance zones of foundation facilities and are the first to protect against outside threats.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/security_light.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security_light.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Security Officer",
        DescriptionOverride = "A standard foundation security officer, usually equipped with a standard rifle, a pistol sidearm, a protective vest, and a tactical helmet. They're mostly stationed in entrance to medium containment zones at foundation facilities and are rare outside of them, excluding during emergencies. They also come with a medical variant for combat medical purposes.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/security.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Medical Security Officer",
        DescriptionOverride = "The medical variant of the Security officer for combat medical purposes.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/security_medic.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security_medic.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Elite Security Officer",
        DescriptionOverride = "A higher trained security officer, teams are usually equipped with standard rifles, a high caliber rifle, a shotgun, protective vests, and tactical helmets. They're mostly stationed at lower subterranean levels within medium to heavy containment zones due to better training with Keter level SCPs.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/security_elite.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security_elite.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Tactical Response Operative",
        DescriptionOverride = "The highest trained security officer, teams are usually equipped with standard rifles, a couple high caliber rifles, a couple shotguns, protective vests, and tactical helmets. They're usually stationed on a surface base connected to a site in case of rapid deployment for an emergency. They also come with a medical variant for combat medical purposes. If promoted, they're usually sent to a designated MTF for specialized training and deployment.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/tru.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/tru.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Tactical Medical Response Operative (SCPPE)", 
        DescriptionOverride = "The medical variant of the Tactical Response Unit for combat medical purposes.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/tru_medic.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/tru_medic.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Head of Security (SCPPE)",
        DescriptionOverride = "They're tasked with overseeing the various security teams around their designated site and reports any possible dangerous situations to the site director. Only one per site/area and are stationed at the Entrance Zone for rapid evacuation if needed.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/security_head.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/security_head.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
    ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"),
            NameOverride = "Resh-1 (Seat of Consciousness) (SCPPE)",
            DescriptionOverride = "An equivalent to MTF Alpha-1 (Red Right Hand) and MTF-Omega-1 (Law's Left Hand) that answer directly to the Administrator.",
            NameToOrderByOverride = "A",
            CategoryOverride = ModAPI.FindCategory("SCPPE"),
            ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_resh1.png"),
            AfterSpawn = (Instance) =>
            {
                var skin = ModAPI.LoadTexture("assets/mtf_resh1.png");


                var person = Instance.GetComponent<PersonBehaviour>();


                person.SetBodyTextures(skin, null, null, 1);


                person.SetBruiseColor(152, 24, 24);
                person.SetSecondBruiseColor(87, 6, 6);
                person.SetThirdBruiseColor(49, 3, 3);
                person.SetRottenColour(202, 199, 104);
                person.SetBloodColour(108, 0, 4);

                Transform child = Instance.transform.GetChild(5);
                GameObject gameObject1 = new GameObject("EyeLight");
                gameObject1.transform.SetParent(child);
                gameObject1.transform.localPosition = new Vector3(0.0f, 0.0f);
                gameObject1.transform.rotation = Quaternion.Euler(0.0f, 0.0f, 0.0f);
                gameObject1.transform.localScale = new Vector3(1f, 1f);
                SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                spriteRenderer1.sprite = ModAPI.LoadSprite("assets/mtf_resh1_eyes.png", 1f, true);
                spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                spriteRenderer1.sortingLayerName = "Top";
            }
    }
);
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "Alpha-1 (Red Right Hand) (SCPPE)",
                DescriptionOverride = "This MTF is the only MTF that reports directly to O5 council, which is used for situations that require the strictest of operational security. They consist of the best and most loyal operatives, basically the right hand man of the O5 council. They take on a red and black theme due to their name and red being a naturally powerful/empowering color.",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_alpha1.png"),
                AfterSpawn = (Instance) =>
                    {
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("assets/mtf_alpha1_helmet.png");
                        childSprite.sortingLayerName = "Mid";
                            var skin = ModAPI.LoadTexture("assets/mtf_alpha1.png");

                            var person = Instance.GetComponent<PersonBehaviour>();

                            person.SetBodyTextures(skin, null, null, 1);

                            person.SetBruiseColor(152, 24, 24);
                            person.SetSecondBruiseColor(87, 6, 6);
                            person.SetThirdBruiseColor(49, 3, 3);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);

                            foreach (var body in person.Limbs)
                            {
                                body.Health *= 1f;
                            }
                    }
                }
            );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "(SCPPE) Beta-7 (Maz Hatters)",
                DescriptionOverride = "This MTF specializes in the swift acquisition and containment of anomalies exhibiting extreme biological, chemical, or radiological hazards. They also specialize in cleanup of areas affected by contamination. They take on a yellow CBRN suit theme but with the suit being more compact for higher agility and maneuverability.",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_beta7.png"),
                AfterSpawn = (Instance) =>
                    {
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("assets/mtf_beta7_mask.png");
                        childSprite.sortingLayerName = "Mid";
                            var skin = ModAPI.LoadTexture("assets/mtf_beta7.png");

                            var person = Instance.GetComponent<PersonBehaviour>();

                            person.SetBodyTextures(skin, null, null, 1);

                            person.SetBruiseColor(152, 24, 24);
                            person.SetSecondBruiseColor(87, 6, 6);
                            person.SetThirdBruiseColor(49, 3, 3);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);

                            foreach (var body in person.Limbs)
                            {
                                body.Health *= 1f;
                            }
                    }
                }
            );
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Epsilon-6 (Village Idiots)",
        DescriptionOverride = "This MTF specializes in the investigation, containment, initial containment, and subsequent cleanup of SCPs in sparsely-populated rural or suburban environments such as a countryside, city suburbs, etc.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_epsilon6.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/mtf_epsilon6.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Epsilon-9 (Fire Eaters)",
        DescriptionOverride = "This MTF specializes in the use of incendiary weapons and with operations that include high-temperature environments, individuals, and objects. They are also called in with Beta-7 from time to time for incendiary decontamination. They take on a black and caution yellow firefighter theme due to their nature with high-temp operations.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_epsilon9.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/mtf_epsilon9.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "(SCPPE) Epsilon-11 (Nine-Tailed Fox)",
                DescriptionOverride = "This MTF handles internal security under oversight from Alpha-1, they are a special operations unit deployed when standard protocols fail and multiple breaches are imminent. Due to their nature, most of their operations are classified. They take on an orange and black theme mainly due to how they are represented as so in SCP games as well as orange being one step down from red (Alpha-1).",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_epsilon11.png"),
                AfterSpawn = (Instance) =>
                    {
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("assets/mtf_epsilon11_mask.png");
                        childSprite.sortingLayerName = "Mid";
                            var skin = ModAPI.LoadTexture("assets/mtf_epsilon11.png");

                            var person = Instance.GetComponent<PersonBehaviour>();

                            person.SetBodyTextures(skin, null, null, 1);

                            person.SetBruiseColor(152, 24, 24);
                            person.SetSecondBruiseColor(87, 6, 6);
                            person.SetThirdBruiseColor(49, 3, 3);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);

                            foreach (var body in person.Limbs)
                            {
                                body.Health *= 1f;
                            }
                    }
                }
            );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "(SCPPE) Epsilon-11 Squad Lead (Nine-Tailed Fox)",
                DescriptionOverride = "One of the squad leaders for NTF.",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_epsilon11_lead.png"),
                AfterSpawn = (Instance) =>
                    {
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("assets/mtf_epsilon11_lead_mask.png");
                        childSprite.sortingLayerName = "Mid";
                            var skin = ModAPI.LoadTexture("assets/mtf_epsilon11_lead.png");

                            var person = Instance.GetComponent<PersonBehaviour>();

                            person.SetBodyTextures(skin, null, null, 1);

                            person.SetBruiseColor(152, 24, 24);
                            person.SetSecondBruiseColor(87, 6, 6);
                            person.SetThirdBruiseColor(49, 3, 3);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);

                            foreach (var body in person.Limbs)
                            {
                                body.Health *= 1f;
                            }
                    }
                }
            );
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Zeta-9 (Mole Rats)",
        DescriptionOverride = "This MTF specializes in the investigation, exploration, and containment of subterranean or enclosed spaces exhibiting anomalous phenomena. Including those with inconsistent topography or unstable spacetime. They take on an earthy light brownish-tan theme due to their nature with subterranean exploration.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_zeta9.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/mtf_zeta9.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "(SCPPE) Eta-10 (See No Evil)",
                DescriptionOverride = "This MTF specializes in the investigation, acquisition, and initial containment of SCP objects and entities that pose visual cognitohazards, visual memetic agents, or otherwise require indirect or alternative observation in order to safely handle.",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_eta10.png"),
                AfterSpawn = (Instance) =>
                    {
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("assets/mtf_eta10_helmet.png");
                        childSprite.sortingLayerName = "Mid";

                        Transform child = Instance.transform.GetChild(5);
                        GameObject gameObject1 = new GameObject("EyeLight");
                        gameObject1.transform.SetParent(child);
                        gameObject1.transform.localPosition = new Vector3(0.0f, 0.0f);
                        gameObject1.transform.rotation = Quaternion.Euler(0.0f, 0.0f, 0.0f);
                        gameObject1.transform.localScale = new Vector3(1f, 1f);
                        SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                        spriteRenderer1.sprite = ModAPI.LoadSprite("assets/mtf_eta10_eyes.png", 1f, true);
                        spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                        spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                        spriteRenderer1.sortingLayerName = "Top";
                            
                        var skin = ModAPI.LoadTexture("assets/mtf_eta10.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, null, null, 1);

                        person.SetBruiseColor(152, 24, 24);
                        person.SetSecondBruiseColor(87, 6, 6);
                        person.SetThirdBruiseColor(49, 3, 3);
                        person.SetRottenColour(202, 199, 104);
                        person.SetBloodColour(108, 0, 4);

                        foreach (var body in person.Limbs)
                        {
                                body.Health *= 1f;
                        }
                    }
                }
            );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "(SCPPE) Lambda-5 (White Rabbits)",
                DescriptionOverride = "This MTF specializes in traversing unstable, surreal, and controlled realities, and containing potentially dangerous persons and artifacts capable of manipulating space and time.",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_lambda5.png"),
                AfterSpawn = (Instance) =>
                    {
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("assets/mtf_lambda5_mask.png");
                        childSprite.sortingLayerName = "Mid";
                            var skin = ModAPI.LoadTexture("assets/mtf_lambda5.png");

                            var person = Instance.GetComponent<PersonBehaviour>();

                            person.SetBodyTextures(skin, null, null, 1);

                            person.SetBruiseColor(152, 24, 24);
                            person.SetSecondBruiseColor(87, 6, 6);
                            person.SetThirdBruiseColor(49, 3, 3);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);

                            foreach (var body in person.Limbs)
                            {
                                body.Health *= 1f;
                            }
                    }
                }
            );
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Nu-7 (Hammer Down)",
        DescriptionOverride = "This MTF is a battalion-strength force consisting of three company-sized elements of special operations infantry forces, including a light armored vehicle company, a tank platoon, helicopter squadron, a chemical-biological-radiological-nuclear (CBRN) platoon, combat engineer platoon, nuclear weapon specialist squad, and additional combat support and specialists. They're tasked with responding to incidents that involve loss of communication with major foundation sites, a site-wide mass breach, enemy compromises, and similar catastrophic events. Some consider this the best representation of a foundation “military”, due to them having a military structure, military vehicles, and military protocols.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_nu7.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/mtf_nu7.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Nu-7 Heavy",
        DescriptionOverride = "A heavy variant of the Nu-7 (Hammer Down).",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_nu7_heavy.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/mtf_nu7_heavy.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Nu-7 Medical",
        DescriptionOverride = "A medical variant of the Nu-7 (Hammer Down).",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_nu7_medic.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/mtf_nu7_medic.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Nu-7 Pilot",
        DescriptionOverride = "A pilot variant of the Nu-7 (Hammer Down).",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_nu7_pilot.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/mtf_nu7_pilot.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN Nu-7",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected Nu-7 unit.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/cbrn_nu7.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/cbrn_nu7_tank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/cbrn_nu7.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);

                person.SetBruiseColor(152, 24, 24);
                person.SetSecondBruiseColor(87, 6, 6);
                person.SetThirdBruiseColor(49, 3, 3);
                person.SetRottenColour(202, 199, 104);
                person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Pi-1 (City Slickers)",
        DescriptionOverride = "This MTF specializes in the investigation, containment, initial containment, and subsequent cleanup of SCPs in densely-populated urban environments such as a major city, particularly in the New York metropolitan area.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_pi1.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/mtf_pi1.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"), 
        NameOverride = "(SCPPE) Tau-5 (Samsara)",
        DescriptionOverride = "These are immortal cyborg clones created from the flesh of a dead god. They utilize esoteric and experimental foundation technology to investigate and contain thaumaturgic, magical, and psionic threats. They have a dark cyborg theme with a green color theme.", 
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"), 
        ThumbnailOverride = ModAPI.LoadSprite("icon/mtf_tau5.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("assets/mtf_tau5.png");
            var bone = ModAPI.LoadTexture("human-robot_bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, bone, 1);
            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "(SCPPE) Field Agent",
                DescriptionOverride = "They are used for an non-branded/unmarked armed foundation workforce outside of SCP facilities, whether as patrol security outside site perimeters or for external combat personnel.",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/dea_fieldagent.png"),
                AfterSpawn = (Instance) =>
                    {
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("assets/dea_fieldagent_hat.png");
                        childSprite.sortingLayerName = "Mid";
                            var skin = ModAPI.LoadTexture("assets/dea_fieldagent.png");

                            var person = Instance.GetComponent<PersonBehaviour>();

                            person.SetBodyTextures(skin, null, null, 1);

                            person.SetBruiseColor(152, 24, 24);
                            person.SetSecondBruiseColor(87, 6, 6);
                            person.SetThirdBruiseColor(49, 3, 3);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);

                            foreach (var body in person.Limbs)
                            {
                                body.Health *= 1f;
                            }
                    }
                }
            );
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Personnel Recruiter",
        DescriptionOverride = "They are used to search, find, and recruit staff whether it being combat or non-combat oriented and also used to find applicable prisoners to be recruited as d-class. They have a white and tan theme dress shirt theme.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/dea_recruiter.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dea_recruiter.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Concealer Agent",
        DescriptionOverride = "They are used to conceal and prevent compromises of foundation facilities, SCPs, and points of interest of the foundation. They take on a “secret service” agent style with a dark theme.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/dea_consealer.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dea_consealer.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Diplomatic Representative",
        DescriptionOverride = "They are used for managing relations with various other organizations, sovereign nations, corporations/companies, international authorities, the UN and it’s anomaly division the GOC. They take on a white and black dress shirt theme.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/dea_diplomat.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/dea_diplomat.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Ethics Representative",
        DescriptionOverride = "They are responsible for observing and reporting any unethical or immoral activities going on within the rule of the foundation against SCPs, D-Class, and improper use of dangerous weapons, equipment, or harmful devices against sentient creatures whether human or not. They are actually taken as a joke to many but have a surprising influence on how the foundation runs. Has an “ethics blue” suit theme to distinguish it from the admin department.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/ethics_representative.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/ethics_representative.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Omega-1 (Law's Left Hand)",
        DescriptionOverride = "They are tasked with arresting and imprisoning or capturing and eliminating personnel that have validated the ethical and moral laws within foundation jurisdiction. They are also operation security for ethics committee members in case of foul play. They are sent in with a couple ethics representatives upon a report of unethical actions transpiring in a site, once the representatives have assessed the situation, depending on the severity of the violation, they will either arrest and put the violator on trail or arrest the violator and sentence them to death in which they are terminated. They take on a “ethics blue” and black theme, counteracting the red and black theme of Alpha-1.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/ethics_omega1.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/ethics_omega1.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Internal Security Operative",
        DescriptionOverride = "They are sent in to arrest and interrogate a foundation staff member that is a supposed enemy GOI informant against the foundation. They usually do covert operations against suspected personnel and watch over them until either they are deemed misidentified (in which they get assigned another suspected target) or confirmed to be an informant (in which they commence arresting operations).",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/isd_operative.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/isd_operative.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN Researcher",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected Researcher.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/cbrn_researcher.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/cbrn_researcher_tank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/cbrn_researcher.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


                person.SetBruiseColor(152, 24, 24);
                person.SetSecondBruiseColor(87, 6, 6);
                person.SetThirdBruiseColor(49, 3, 3);
                person.SetRottenColour(202, 199, 104);
                person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN Security Officer",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected security officer.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/cbrn_guard.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/cbrn_guard_tank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/cbrn_guard.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


                person.SetBruiseColor(152, 24, 24);
                person.SetSecondBruiseColor(87, 6, 6);
                person.SetThirdBruiseColor(49, 3, 3);
                person.SetRottenColour(202, 199, 104);
                person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN TRU Unit",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected TRU unit.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/cbrn_tru.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/cbrn_tru_tank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/cbrn_tru.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


                person.SetBruiseColor(152, 24, 24);
                person.SetSecondBruiseColor(87, 6, 6);
                person.SetThirdBruiseColor(49, 3, 3);
                person.SetRottenColour(202, 199, 104);
                person.SetBloodColour(108, 0, 4);
               }
          }
     );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Undersecretariat",
        DescriptionOverride = "They are the standing administrator of the GOC and make the internal decisions of the organization with permission from the Secretary-General of the UN.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/goc_director.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc_director.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Nexus Advisor",
        DescriptionOverride = "They are the managers of different sectors of the GOC, they oversee and make the more localized decisions with permission from the Undersecretariat.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/goc_nexus.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc_nexus.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Ambassador",
        DescriptionOverride = "They are the diplomats of the GOC, maintaining direct relations with non-hostile organizations, sovereign nations, corporations/companies, international authorities, and the SCP Foundation.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/goc_ambassador.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc_ambassador.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Research and Development Team",
        DescriptionOverride = "They are the scientists of the GOC, they research tactics and technology to swiftly and efficiently eliminate parathreats within their jurisdiction.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/goc_researcher.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc_researcher.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Quartermaster",
        DescriptionOverride = "They are the logistics and support of the GOC, they handle distribution and coordination of weapons, armor, equipment, food, and currency to various facilities of the GOC.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/goc_quartermaster.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc_quartermaster.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Assessment Unit",
        DescriptionOverride = "They are the armed workforce of the GOC, they are the equivalent to the UN peacekeeping forces and usually protect GOC facilities and personnel from enemy compromises and parathreats, they also investigate and observe parathreats.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/goc_soldier.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc_soldier.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Heavy Assessment Unit",
        DescriptionOverride = "They are the armed workforce of the GOC, they are the equivalent to the UN peacekeeping forces and usually protect GOC facilities and personnel from enemy compromises and parathreats, they also investigate and observe parathreats.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/goc_heavy.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc_heavy.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) GOC Strike Team",
        DescriptionOverride = "They are the task force of the GOC, specializing in capturing and eliminating parathreats and protecting high ranking personnel of the GOC.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/goc_taskforce.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/goc_taskforce.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN GOC Scientist",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected GOC research and development unit.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/goc_cbrn_scientist.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/goc_cbrn_scientist_tank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/goc_cbrn_scientist.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


                person.SetBruiseColor(152, 24, 24);
                person.SetSecondBruiseColor(87, 6, 6);
                person.SetThirdBruiseColor(49, 3, 3);
                person.SetRottenColour(202, 199, 104);
                person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCPPE) CBRN GOC Strike Team",
          DescriptionOverride = "Chemical-biological-radiological-nuclear protected GOC strike team unit.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/goc_cbrn_taskforce.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("assets/goc_cbrn_taskforce_tank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("assets/goc_cbrn_taskforce.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


                person.SetBruiseColor(152, 24, 24);
                person.SetSecondBruiseColor(87, 6, 6);
                person.SetThirdBruiseColor(49, 3, 3);
                person.SetRottenColour(202, 199, 104);
                person.SetBloodColour(108, 0, 4);
               }
          }
     );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Chaos Conscript",
        DescriptionOverride = "They are used as the sole combatant workforce of the CI and are the ones used to attack SCP facilities, take SCPs, and recruit new members. Also comes with a heavy variant.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/chaos_soldier.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("assets/chaos_soldier.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("assets/chaos_helmet.png");
            childSprite.sortingLayerName = "Mid";

            var kev = new GameObject("kevlar");
            kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
            kev.transform.localPosition = new Vector3(0, 0f);
            kev.transform.localScale = new Vector3(1f, 1f);
            var kevSprite = kev.AddComponent<SpriteRenderer>();
            kevSprite.sprite = ModAPI.LoadSprite("assets/chaos_groinplate.png");
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Chaos Heavy Conscript",
        DescriptionOverride = "They are used as the sole combatant workforce of the CI and are the ones used to attack SCP facilities, take SCPs, and recruit new members. Also comes with a heavy variant.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/chaos_heavy.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("assets/chaos_heavy.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("assets/chaos_helmet.png");
            childSprite.sortingLayerName = "Mid";

            var kev = new GameObject("kevlar");
            kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
            kev.transform.localPosition = new Vector3(0, 0f);
            kev.transform.localScale = new Vector3(1f, 1f);
            var kevSprite = kev.AddComponent<SpriteRenderer>();
            kevSprite.sprite = ModAPI.LoadSprite("assets/chaos_groinplate.png");
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Chaos Squad Commander (SCPPE)",
        DescriptionOverride = "They are used as the leader of 4-8 people within a squad, they take orders directly from members of Delta Command.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/chaos_officer.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("assets/chaos_officer.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("assets/chaos_officer_hat.png");
            childSprite.sortingLayerName = "Mid";

            var kev = new GameObject("kevlar");
            kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
            kev.transform.localPosition = new Vector3(0, 0f);
            kev.transform.localScale = new Vector3(1f, 1f);
            var kevSprite = kev.AddComponent<SpriteRenderer>();
            kevSprite.sprite = ModAPI.LoadSprite("assets/chaos_groinplate.png");
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Serpent Follower",
        DescriptionOverride = "This is just a standard follower of the serpent's hand and believe in their cause. They are usually not armed but have been seen with a few pistols from time to time. They do not fight normally and are just there to serve.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/serpent_follower.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/serpent_follower.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Serpent Soldier",
        DescriptionOverride = "These are the combatant followers of the serpent's hand and are directed to attack enemy facilities and to eliminate anyone from a hostile organization that they come in contact with.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/serpent_soldier.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/serpent_soldier.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) Serpent Leader",
        DescriptionOverride = "One of the local leaders of serpent's hand, they do the local management of platoons of followers and of combatants.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/serpent_leader.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/serpent_leader.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) UIU Trooper",
        DescriptionOverride = "The main combatant workforce of the UIU, since the collapse of the USSR they have mainly been trying to report anomalies to either the foundation or the GOC while protecting civilians and their own personnel from anomalies as their main priority instead of trying to frantically find ways of utilizing them.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbi.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/fbi.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) UIU Heavy Trooper",
        DescriptionOverride = "The main combatant workforce of the UIU, since the collapse of the USSR they have mainly been trying to report anomalies to either the foundation or the GOC while protecting civilians and their own personnel from anomalies as their main priority instead of trying to frantically find ways of utilizing them.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbi_heavy.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/fbi_heavy.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) UIU Medical Trooper",
        DescriptionOverride = "The main combatant workforce of the UIU, since the collapse of the USSR they have mainly been trying to report anomalies to either the foundation or the GOC while protecting civilians and their own personnel from anomalies as their main priority instead of trying to frantically find ways of utilizing them.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbi_medic.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("assets/fbi_medic.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);

            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCPPE) UIU Undercover Unit",
        DescriptionOverride = "They are used for covert operations in public areas, including spying on any hostile organization, covering up any paranormal events, and watching for any reports of paranormal phenomena.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbi_undercover.png"),
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("assets/fbi_undercover.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);

            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "GRU-P Soldier (SCPPE)",
        DescriptionOverride = "PLACEHOLDER",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/grup_standard.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("assets/grup_standard.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(152, 24, 24);
            person.SetSecondBruiseColor(87, 6, 6);
            person.SetThirdBruiseColor(49, 3, 3);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "GRU-P Heavy Soldier (SCPPE)",
                DescriptionOverride = "PLACEHOLDER.",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/grup_heavy.png"),
                AfterSpawn = (Instance) =>
                    {
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("assets/grup_heavy_helmet.png");
                        childSprite.sortingLayerName = "Mid";
                            var skin = ModAPI.LoadTexture("assets/grup_heavy.png");

                            var person = Instance.GetComponent<PersonBehaviour>();

                            person.SetBodyTextures(skin, null, null, 1);

                            person.SetBruiseColor(152, 24, 24);
                            person.SetSecondBruiseColor(87, 6, 6);
                            person.SetThirdBruiseColor(49, 3, 3);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);

                            foreach (var body in person.Limbs)
                            {
                                body.Health *= 1f;
                            }
                    }
                }
            );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = "GRU-P Commander (SCPPE)",
                DescriptionOverride = "PLACEHOLDER.",
                NameToOrderByOverride = "A",
                CategoryOverride = ModAPI.FindCategory("SCPPE"),
                ThumbnailOverride = ModAPI.LoadSprite("icon/grup_commander.png"),
                AfterSpawn = (Instance) =>
                    {
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("assets/grup_commander_hat.png");
                        childSprite.sortingLayerName = "Mid";
                            var skin = ModAPI.LoadTexture("assets/grup_commander.png");

                            var person = Instance.GetComponent<PersonBehaviour>();

                            person.SetBodyTextures(skin, null, null, 1);

                            person.SetBruiseColor(152, 24, 24);
                            person.SetSecondBruiseColor(87, 6, 6);
                            person.SetThirdBruiseColor(49, 3, 3);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);

                            foreach (var body in person.Limbs)
                            {
                                body.Health *= 1f;
                            }
                    }
                }
            );






















////////////////////////////////////////
//ITEMS//
////////////////////////////////////////
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
                    NameOverride = "(SCPPE) Standard Gasmask",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Standard usage gasmask for personnel during a biological or chemical hazard incident (particularly when CBRN suits are not available), provides top-of-the-line protection from biocontaminants and chemicals.",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/gasmask.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/gasmask.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
                    NameOverride = "(SCPPE) Standard Smokemask",
                    NameToOrderByOverride = "C",
                    DescriptionOverride = "Standard usage dust and smoke masks for personnel in the case of a large fire, structural collapse, or subterranean operations, providing top-of-the-line dust and smoke protection.",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/dusk_smokemask.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/dusk_smokemask.png", 1f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification() //THIS ISN'T ANY OF MY CODE LOL, I DON'T KNOW HOW
                {
                    OriginalItem = ModAPI.FindSpawnable("Small I-Beam"),
                    NameOverride = "(SCPPE) SCP Alarm",
                    NameToOrderByOverride = "C",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    DescriptionOverride = "The generic SCP breach alarm",
                    ThumbnailOverride = ModAPI.LoadSprite("icon/scpalarm.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/scpalarm.png", 1f);
                        Instance.FixColliders();
                        
                        AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 100;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("assets/items/scpalarm.mp3"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };

                        SirenBehaviour sirenBehaviour = Instance.GetComponent<SirenBehaviour>();
                        sirenBehaviour.enabled = false;

                        var childObject = new GameObject("beetles");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sirenelightmap.png, 1f");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
        }
    }
);
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Multipurpose Field Radio",
                    DescriptionOverride = "A multipurpose field radio that can communicate with other field radios as well as listen to radio waves in the surrounding areas.",
                    NameToOrderByOverride = "C",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/fieldradio.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/fieldradio.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Pain Killers",
                    DescriptionOverride = "It's used to ease pain and discomfort. Infections are not relieved, and wounds are not healed.",
                    NameToOrderByOverride = "C",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/painkillers.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/painkillers.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) First Aid Kit",
                    DescriptionOverride = "Used to treat minor physical wounds, may or may not ease pain and discomfort based on the wound.",
                    NameToOrderByOverride = "C",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/medkit.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/medkit.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Medical Kit",
                    DescriptionOverride = "Used to treat major physical wounds, may or may not ease pain and discomfort based on the wound.",
                    NameToOrderByOverride = "C",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/medbag.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/medbag.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Ammo Box",
                    DescriptionOverride = "Used to carry ammo for long distances and easier access.",
                    NameToOrderByOverride = "C",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/ammobox.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/ammobox.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Stack of Documents",
                    DescriptionOverride = "Stack of papers and documents of the foundation.",
                    NameToOrderByOverride = "C",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/stackofpapers.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/stackofpapers.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Document",
                    DescriptionOverride = "A single document of the scp foundation.",
                    NameToOrderByOverride = "C",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/document.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/document.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );



















////////////////////////////////////////
//WEAPONS//
////////////////////////////////////////
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Pistol"),
        NameOverride = "(SCPPE) Glock-17",
        DescriptionOverride = ".",
        NameToOrderByOverride = "B",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/glock17.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/col_glock17.png", 20);
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
			}
            Instance.FixColliders();
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/glock17.png");

            var firearm = Instance.GetComponent<FirearmBehaviour>();
            firearm.BulletsPerShot = 1;
            firearm.barrelPosition = new Vector2(0.222f, 0.084f);
            firearm.Automatic = false;
            firearm.InitialInaccuracy = 0.03f;
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("assets/items/Glock17.mp3"),
            };

            Cartridge customCartridge = ModAPI.FindCartridge("9mm"); 
            customCartridge.name = "Glock17"; 
            customCartridge.Damage *= 1f; 
            customCartridge.StartSpeed *= 1f;
            customCartridge.Recoil *= 1f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.25f;
            customCartridge.ImpactForce *= 1f;
            firearm.Cartridge = customCartridge;
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
        NameOverride = "(SCPPE) MP5",
        DescriptionOverride = ".",
        NameToOrderByOverride = "B",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/mp5.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/col_mp5.png", 20);
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
			}
            Instance.FixColliders();
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/mp5.png");

            var firearm = Instance.GetComponent<FirearmBehaviour>();
            firearm.BulletsPerShot = 1;
            firearm.barrelPosition = new Vector2(0.556f, 0.138f);
            firearm.Automatic = true;
            firearm.AutomaticFireInterval = 0.08f;
            firearm.InitialInaccuracy = 0.03f;
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("assets/items/MP5.mp3"),
            };

            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            customCartridge.name = "MP5"; 
            customCartridge.Damage *= 1f; 
            customCartridge.StartSpeed *= 1f;
            customCartridge.Recoil *= 1f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.25f;
            customCartridge.ImpactForce *= 1f;
            firearm.Cartridge = customCartridge;
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
        NameOverride = "(SCPPE) P90",
        DescriptionOverride = ".",
        NameToOrderByOverride = "B",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/p90.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/col_p90.png", 20);
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
			}
            Instance.FixColliders();
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/p90.png");

            var firearm = Instance.GetComponent<FirearmBehaviour>();
            firearm.BulletsPerShot = 1;
            firearm.barrelPosition = new Vector2(0.416f, 0.028f);
            firearm.Automatic = true;
            firearm.AutomaticFireInterval = 0.07f;
            firearm.InitialInaccuracy = 0.03f;
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("assets/items/P90.mp3"),
            };

            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            customCartridge.name = "P90"; 
            customCartridge.Damage *= 1f; 
            customCartridge.StartSpeed *= 1f;
            customCartridge.Recoil *= 1f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.25f;
            customCartridge.ImpactForce *= 1f;
            firearm.Cartridge = customCartridge;
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "(SCPPE) Galil",
        DescriptionOverride = ".",
        NameToOrderByOverride = "B",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/galil.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/col_galil.png", 20);
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
			}
            Instance.FixColliders();
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/galil.png");

            var firearm = Instance.GetComponent<FirearmBehaviour>();
            firearm.BulletsPerShot = 1;
            firearm.barrelPosition = new Vector2(0.584f, 0.138f);
            firearm.Automatic = true;
            firearm.AutomaticFireInterval = 0.10f;
            firearm.InitialInaccuracy = 0.03f;
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("assets/items/M4A1.mp3"),
            };

            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            customCartridge.name = "M4A1"; 
            customCartridge.Damage *= 1f; 
            customCartridge.StartSpeed *= 1f;
            customCartridge.Recoil *= 1f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.25f;
            customCartridge.ImpactForce *= 1f;
            firearm.Cartridge = customCartridge;
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "(SCPPE) M4A1",
        DescriptionOverride = ".",
        NameToOrderByOverride = "B",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/m4a1.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/col_m4a1.png", 20);
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
			}
            Instance.FixColliders();
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/m4a1.png");

            var firearm = Instance.GetComponent<FirearmBehaviour>();
            firearm.BulletsPerShot = 1;
            firearm.barrelPosition = new Vector2(0.528f, 0.084f);
            firearm.Automatic = true;
            firearm.AutomaticFireInterval = 0.10f;
            firearm.InitialInaccuracy = 0.03f;
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("assets/items/M4A1.mp3"),
            };

            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            customCartridge.name = "M4A1"; 
            customCartridge.Damage *= 1f; 
            customCartridge.StartSpeed *= 1f;
            customCartridge.Recoil *= 1f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.25f;
            customCartridge.ImpactForce *= 1f;
            firearm.Cartridge = customCartridge;
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("AK-47"),
        NameOverride = "(SCPPE) AK-47",
        DescriptionOverride = ".",
        NameToOrderByOverride = "B",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/ak47.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/col_ak47.png", 20);
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
			}
            Instance.FixColliders();
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/ak47.png");

            var firearm = Instance.GetComponent<FirearmBehaviour>();
            firearm.BulletsPerShot = 1;
            firearm.barrelPosition = new Vector2(0.584f, 0.112f);
            firearm.Automatic = true;
            firearm.AutomaticFireInterval = 0.13f;
            firearm.InitialInaccuracy = 0.03f;
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("assets/items/M4A1.mp3"),
            };

            Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
            customCartridge.name = "AK47"; 
            customCartridge.Damage *= 1f; 
            customCartridge.StartSpeed *= 1f;
            customCartridge.Recoil *= 1f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.25f;
            customCartridge.ImpactForce *= 1f;
            firearm.Cartridge = customCartridge;
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Shotgun"),
        NameOverride = "(SCPPE) M500",
        DescriptionOverride = ".",
        NameToOrderByOverride = "B",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/mossberg500.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/col_mossberg500.png", 20);
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
			}
            Instance.FixColliders();
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("assets/items/mossberg500.png");

            var firearm = Instance.GetComponent<FirearmBehaviour>();
            firearm.BulletsPerShot = 4;
            firearm.barrelPosition = new Vector2(0.625f, 0.097f);
            firearm.Automatic = false;
            firearm.InitialInaccuracy = 0.03f;
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("assets/items/m500.mp3"),
            };

            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            customCartridge.name = "M500"; 
            customCartridge.Damage *= 1.3f; 
            customCartridge.StartSpeed *= 1.3f;
            customCartridge.Recoil *= 1.3f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.25f;
            customCartridge.ImpactForce *= 1.3f;
            firearm.Cartridge = customCartridge;
        }
    }
);














////////////////////////////////////////
//KEYCARDS//
////////////////////////////////////////
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Level 0 Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/keycard0.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/keycard0.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Level 1 Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/keycard1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/keycard1.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Level 2 Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/keycard2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/keycard2.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Level 3 Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/keycard3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/keycard3.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Level 4 Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/keycard4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/keycard4.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Level 5 Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/keycard5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/keycard5.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Omni Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/keycard6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/keycard6.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Janitor Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/janitorkeycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/janitorkeycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Scientist Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/scientistkeycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/scientistkeycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Research Supervisor Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/researchsupervisorkeycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/researchsupervisorkeycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Containment Engineer Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/containmentengineerkeycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/containmentengineerkeycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Guard Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/guardkeycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/guardkeycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Cadet Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/cadetkeycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/cadetkeycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Lieutenant Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/lieutenantkeycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/lieutenantkeycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Commander Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/commanderkeycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/commanderkeycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Zone Manager Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/zonemanagerkeycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/zonemanagerkeycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) Facility Manager Keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/facilitymanagerkeycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/facilitymanagerkeycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCPPE) O5 Council keycard",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "D",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/05keycard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("keycards/05keycard.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector3(0.3f, 0.3f);
                    }
                }
            );
        }
    }
}